Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Attributes | List of all members
event::TimerEventManager::TimerEvent Struct Reference

TimerEvent structure. More...

## Public Attributes
vector< string > | eventId
| Event ID.
Schedule | executionTime
| Schedule for execution time.

## Detailed Description

TimerEvent structure.

A TimerEvent can be used in the event engine to run actions at a specified time. The 'eventId' is an unique identification of every timer event. The 'executionTime' contains the schedule for the execution time.

Definition at line 89 of file TimerEventManager.idl.

## Member Data Documentation

## ◆ eventId

vector<string> event::TimerEventManager::TimerEvent::eventId

Event ID.

Definition at line 90 of file TimerEventManager.idl.

## ◆ executionTime

Schedule event::TimerEventManager::TimerEvent::executionTime

Schedule for execution time.

Definition at line 91 of file TimerEventManager.idl.

The documentation for this struct was generated from the following file:

- TimerEventManager.idl